Skip to main content
Manage Actors

List Actor Names

List the distinct actor names that have been created in a namespace.

GET https://api.rivet.dev/actors/names

Examples

Authentication

Send your namespace token as a bearer token in the Authorization header. Every control plane request also requires the namespace query parameter. See Authentication.

Query Parameters

NameTypeRequiredDescription
namespacestringYesName of the namespace to operate in.
limitintegerNoMaximum number of results to return.
cursorstringNoPagination cursor. Pass the pagination.cursor value from the previous response to fetch the next page.

Responses

200

FieldTypeDescription
namesobjectMap of actor name to metadata.
paginationobject
pagination.cursorstring | nullCursor for the next page, or null when there are no more results.
{
  "names": {},
  "pagination": {
    "cursor": null
  }
}